StartNetworkMigrationDeployment - ApplicationMigrationService

StartNetworkMigrationDeployment

Starts a deployment job to create the target network infrastructure based on the generated code templates.

Request Syntax

POST /network-migration/StartNetworkMigrationDeployment HTTP/1.1 Content-type: application/json { "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

networkMigrationDefinitionID

The unique identifier of the network migration definition.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

Required: Yes

networkMigrationExecutionID

The unique identifier of the network migration execution.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

Response Syntax

HTTP/1.1 202 Content-type: application/json { "jobID": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

jobID

The unique identifier of the deployer job that was started.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

Operating denied due to a file permission or access check error.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the target resource.

errors

Conflict Exception specific errors.

resourceId

A conflict occurred when prompting for the Resource ID.

resourceType

A conflict occurred when prompting for resource type.

HTTP Status Code: 409

ResourceNotFoundException

Resource not found exception.

resourceId

Resource ID not found error.

resourceType

Resource type not found error.

HTTP Status Code: 404

ServiceQuotaExceededException

The request could not be completed because its exceeded the service quota.

quotaCode

Exceeded the service quota code.

quotaValue

Exceeded the service quota value.

resourceId

Exceeded the service quota resource ID.

resourceType

Exceeded the service quota resource type.

serviceCode

Exceeded the service quota service code.

HTTP Status Code: 402

ThrottlingException

Reached throttling quota exception.

quotaCode

Reached throttling quota exception.

retryAfterSeconds

Reached throttling quota exception will retry after x seconds.

serviceCode

Reached throttling quota exception service code.

HTTP Status Code: 429

ValidationException

Validate exception.

fieldList

Validate exception field list.

reason

Validate exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: